Bug 122305 - direct rendering doesn't work with a Radeon 9200SE
direct rendering doesn't work with a Radeon 9200SE
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-02 18:46 EDT by Steven Pritchard
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-06 13:40:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2004-05-02 18:46:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040116

Description of problem:
On a Opteron/HDAMC box with a Radeon 9200SE, DRI doesn't seem to work.

As a regular user, glxinfo reports "direct rendering: Yes", but
tuxracer and et.x86 fail to run, and glxgears has a low enough frame
rate that it is obvious that it has fallen back to software rendering.

When I load tuxracer as a regular user, I get the following in the logs:

==> /var/log/Xorg.0.log <==
GetModeLine - scrn: 0 clock: 78800
GetModeLine - hdsp: 1024 hbeg: 1040 hend: 1136 httl: 1312
              vdsp: 768 vbeg: 769 vend: 772 vttl: 800 flags: 5
GetModeLine - scrn: 0 clock: 78800
GetModeLine - hdsp: 1024 hbeg: 1040 hend: 1136 httl: 1312
              vdsp: 768 vbeg: 769 vend: 772 vttl: 800 flags: 5
GetModeLine - scrn: 0 clock: 78800
GetModeLine - hdsp: 1024 hbeg: 1040 hend: 1136 httl: 1312
              vdsp: 768 vbeg: 769 vend: 772 vttl: 800 flags: 5
SwitchToMode - scrn: 0 clock: 31500
               hdsp: 640 hbeg: 656 hend: 720 httl: 840
               vdsp: 480 vbeg: 481 vend: 484 vttl: 500 flags: 10
Checking against clock: 78800 (78800)
                 hdsp: 1024 hbeg: 1040 hend: 1136 httl: 1312
                 vdsp: 768 vbeg: 769 vend: 772 vttl: 800 flags: 5
Checking against clock: 49500 (49500)
                 hdsp: 800 hbeg: 816 hend: 896 httl: 1056
                 vdsp: 600 vbeg: 601 vend: 604 vttl: 625 flags: 5
Checking against clock: 31500 (31500)
                 hdsp: 640 hbeg: 656 hend: 720 httl: 840
                 vdsp: 480 vbeg: 481 vend: 484 vttl: 500 flags: 10
(II) RADEON(0): Wrote: rd=12, fd=112, pd=3
SwitchToMode - Succeeded
GetModeLine - scrn: 0 clock: 31500
GetModeLine - hdsp: 640 hbeg: 656 hend: 720 httl: 840
              vdsp: 480 vbeg: 481 vend: 484 vttl: 500 flags: 10
GetModeLine - scrn: 0 clock: 31500
GetModeLine - hdsp: 640 hbeg: 656 hend: 720 httl: 840
              vdsp: 480 vbeg: 481 vend: 484 vttl: 500 flags: 10
SwitchToMode - scrn: 0 clock: 78800
               hdsp: 1024 hbeg: 1040 hend: 1136 httl: 1312
               vdsp: 768 vbeg: 769 vend: 772 vttl: 800 flags: 5
Checking against clock: 78800 (78800)
                 hdsp: 1024 hbeg: 1040 hend: 1136 httl: 1312
                 vdsp: 768 vbeg: 769 vend: 772 vttl: 800 flags: 5
(II) RADEON(0): Wrote: rd=12, fd=140, pd=2
SwitchToMode - Succeeded

==> /var/log/messages <==
May  2 17:13:49 gilina modprobe: FATAL: Error running install command
for sound_slot_1 
May  2 17:31:22 gilina kernel: tuxracer[17622]: segfault at
0000002a9ebd2d60 rip 0000002a9ec72419 rsp 0000007fbfffef80 error 4

(I think the first of those messages just indicates that I don't have
sound configured properly yet.)

Oddly, if I su and run DISPLAY=:0.0 tuxracer, it starts up fine.  Here
are the log messages I get:

==> /var/log/Xorg.0.log <==
SetGrabKeysState - enabled
GetModeLine - scrn: 0 clock: 78800
GetModeLine - hdsp: 1024 hbeg: 1040 hend: 1136 httl: 1312
              vdsp: 768 vbeg: 769 vend: 772 vttl: 800 flags: 5
GetModeLine - scrn: 0 clock: 78800
GetModeLine - hdsp: 1024 hbeg: 1040 hend: 1136 httl: 1312
              vdsp: 768 vbeg: 769 vend: 772 vttl: 800 flags: 5
GetModeLine - scrn: 0 clock: 78800
GetModeLine - hdsp: 1024 hbeg: 1040 hend: 1136 httl: 1312
              vdsp: 768 vbeg: 769 vend: 772 vttl: 800 flags: 5
SwitchToMode - scrn: 0 clock: 31500
               hdsp: 640 hbeg: 656 hend: 720 httl: 840
               vdsp: 480 vbeg: 481 vend: 484 vttl: 500 flags: 10
Checking against clock: 78800 (78800)
                 hdsp: 1024 hbeg: 1040 hend: 1136 httl: 1312
                 vdsp: 768 vbeg: 769 vend: 772 vttl: 800 flags: 5
Checking against clock: 49500 (49500)
                 hdsp: 800 hbeg: 816 hend: 896 httl: 1056
                 vdsp: 600 vbeg: 601 vend: 604 vttl: 625 flags: 5
Checking against clock: 31500 (31500)
                 hdsp: 640 hbeg: 656 hend: 720 httl: 840
                 vdsp: 480 vbeg: 481 vend: 484 vttl: 500 flags: 10
(II) RADEON(0): Wrote: rd=12, fd=112, pd=3
SwitchToMode - Succeeded
GetModeLine - scrn: 0 clock: 31500
GetModeLine - hdsp: 640 hbeg: 656 hend: 720 httl: 840
              vdsp: 480 vbeg: 481 vend: 484 vttl: 500 flags: 10

==> /var/log/messages <==
May  2 17:40:36 gilina modprobe: FATAL: Error running install command
for sound_slot_1 

==> /var/log/Xorg.0.log <==
GetModeLine - scrn: 0 clock: 31500
GetModeLine - hdsp: 640 hbeg: 656 hend: 720 httl: 840
              vdsp: 480 vbeg: 481 vend: 484 vttl: 500 flags: 10
SwitchToMode - scrn: 0 clock: 78800
               hdsp: 1024 hbeg: 1040 hend: 1136 httl: 1312
               vdsp: 768 vbeg: 769 vend: 772 vttl: 800 flags: 5
Checking against clock: 78800 (78800)
                 hdsp: 1024 hbeg: 1040 hend: 1136 httl: 1312
                 vdsp: 768 vbeg: 769 vend: 772 vttl: 800 flags: 5
(II) RADEON(0): Wrote: rd=12, fd=140, pd=2
SwitchToMode - Succeeded

(That's after starting and exiting tuxracer.)

glxgears gives the exact same frame rate though (around 550-570,
compared to around 2000 on my FC1/x86 box with a Radeon 8500LE running
at AGP 1x), so it doesn't look like direct rendering is actually working.


Version-Release number of selected component (if applicable):
xorg-x11-6.7.0-0.5
kernel-2.6.5-1.327

How reproducible:
Always

Steps to Reproduce:
1. Login as a regular user.
2. Run tuxracer.

Actual Results:  It aborts, and the messages given above appear in the
logs.

Expected Results:  A fun game.  :-)

Additional info:
I initially reported this problem here:
http://www.redhat.com/archives/fedora-test-list/2004-April/msg03254.html

And there are a couple of follow-ups here:
http://www.redhat.com/archives/fedora-test-list/2004-May/msg00102.html

The first follow-up appears to indicate that this isn't an
x86_64-specific problem.
Comment 1 Lawrence MacIntyre 2004-05-07 14:19:37 EDT
I have a 9200SE on an Athlon64 and I have the same problem. 
Interestingly, if you leave HorizSync and VirtRefresh commented out
like the installer does, you get 640x480, but glxgears gets 3700 fps...
Comment 2 Steven Pritchard 2004-09-13 09:44:06 EDT
I've moved the card to a P4 box, and I'm having the same problem. 
(This is on FC2 with kernel-smp-2.6.8-1.521 and xorg-x11-6.7.0-5.) 
"lspci -vn" reports the following:

01:00.0 Class 0300: 1002:5964 (rev 01)
        Subsystem: 1458:4018
        Flags: bus master, 66Mhz, medium devsel, latency 32, IRQ 177
        Memory at e0000000 (32-bit, prefetchable) [size=ffcc0000]
        I/O ports at b800 [size=256]
        Memory at ffcf0000 (32-bit, non-prefetchable) [size=64K]
        Expansion ROM at 00020000 [disabled]
        Capabilities: [58] AGP version 3.0
        Capabilities: [50] Power Management version 2

01:00.1 Class 0380: 1002:5d44 (rev 01)
        Subsystem: 1458:4019
        Flags: bus master, 66Mhz, medium devsel, latency 32
        Memory at d8000000 (32-bit, prefetchable)
        Memory at ffce0000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [50] Power Management version 2
Comment 3 Mike A. Harris 2005-03-06 13:40:08 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.